<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bailuntec.mapper.DcAutoInboundMapper">
  <resultMap id="BaseResultMap" type="com.bailuntec.domain.entity.DcAutoInbound">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="bailun_sku" jdbcType="VARCHAR" property="bailunSku" />
    <result column="warehouse_code" jdbcType="VARCHAR" property="warehouseCode" />
    <result column="actual_inventory" jdbcType="INTEGER" property="actualInventory" />
    <result column="forecast_today_inbound" jdbcType="INTEGER" property="forecastTodayInbound" />
    <result column="forecast_oneday_inbound" jdbcType="INTEGER" property="forecastOnedayInbound" />
    <result column="forecast_twoday_inbound" jdbcType="INTEGER" property="forecastTwodayInbound" />
    <result column="forecast_threeday_inbound" jdbcType="INTEGER" property="forecastThreedayInbound" />
    <result column="forecast_fourthday_inbound" jdbcType="INTEGER" property="forecastFourthdayInbound" />
    <result column="forecast_fiveday_inbound" jdbcType="INTEGER" property="forecastFivedayInbound" />
    <result column="forecast_sixday_inbound" jdbcType="INTEGER" property="forecastSixdayInbound" />
    <result column="forecast_sevenday_inbound" jdbcType="INTEGER" property="forecastSevendayInbound" />
    <result column="forecast_eightday_inbound" jdbcType="INTEGER" property="forecastEightdayInbound" />
    <result column="forecast_nineday_inbound" jdbcType="INTEGER" property="forecastNinedayInbound" />
    <result column="forecast_tenday_inbound" jdbcType="INTEGER" property="forecastTendayInbound" />
    <result column="forecast_elevenday_inbound" jdbcType="INTEGER" property="forecastElevendayInbound" />
    <result column="forecast_twelveday_inbound" jdbcType="INTEGER" property="forecastTwelvedayInbound" />
    <result column="forecast_thridteenday_inbound" jdbcType="INTEGER" property="forecastThridteendayInbound" />
    <result column="forecast_fourteenday_inbound" jdbcType="INTEGER" property="forecastFourteendayInbound" />
    <result column="forecast_fifteenday_inbound" jdbcType="INTEGER" property="forecastFifteendayInbound" />
    <result column="forecast_sixteenday_inbound" jdbcType="INTEGER" property="forecastSixteendayInbound" />
    <result column="forecast_seventeenday_inbound" jdbcType="INTEGER" property="forecastSeventeendayInbound" />
    <result column="forecast_eighteenday_inbound" jdbcType="INTEGER" property="forecastEighteendayInbound" />
    <result column="forecast_nineteenday_inbound" jdbcType="INTEGER" property="forecastNineteendayInbound" />
    <result column="forecast_twentyday_inbound" jdbcType="INTEGER" property="forecastTwentydayInbound" />
    <result column="forecast_twenty_oneday_inbound" jdbcType="INTEGER" property="forecastTwentyOnedayInbound" />
    <result column="forecast_twenty_twoday_inbound" jdbcType="INTEGER" property="forecastTwentyTwodayInbound" />
    <result column="forecast_twenty_threeday_inbound" jdbcType="INTEGER" property="forecastTwentyThreedayInbound" />
    <result column="forecast_twenty_fourthday_inbound" jdbcType="INTEGER" property="forecastTwentyFourthdayInbound" />
    <result column="forecast_twenty_fiveday_inbound" jdbcType="INTEGER" property="forecastTwentyFivedayInbound" />
    <result column="forecast_twenty_sixday_inbound" jdbcType="INTEGER" property="forecastTwentySixdayInbound" />
    <result column="forecast_twenty_seveneday_inbound" jdbcType="INTEGER" property="forecastTwentySevenedayInbound" />
    <result column="forecast_twenty_eightday_inbound" jdbcType="INTEGER" property="forecastTwentyEightdayInbound" />
    <result column="forecast_twenty_nineday_inbound" jdbcType="INTEGER" property="forecastTwentyNinedayInbound" />
    <result column="forecast_thirtyday_inbound" jdbcType="INTEGER" property="forecastThirtydayInbound" />
    <result column="gmt_create" jdbcType="TIMESTAMP" property="gmtCreate" />
    <result column="gmt_modified" jdbcType="TIMESTAMP" property="gmtModified" />
    <result column="details" jdbcType="VARCHAR" property="details" />
    <result column="relation" jdbcType="VARCHAR" property="relation" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, bailun_sku, warehouse_code, actual_inventory, forecast_today_inbound, forecast_oneday_inbound, 
    forecast_twoday_inbound, forecast_threeday_inbound, forecast_fourthday_inbound, forecast_fiveday_inbound, 
    forecast_sixday_inbound, forecast_sevenday_inbound, forecast_eightday_inbound, forecast_nineday_inbound, 
    forecast_tenday_inbound, forecast_elevenday_inbound, forecast_twelveday_inbound, 
    forecast_thridteenday_inbound, forecast_fourteenday_inbound, forecast_fifteenday_inbound, 
    forecast_sixteenday_inbound, forecast_seventeenday_inbound, forecast_eighteenday_inbound, 
    forecast_nineteenday_inbound, forecast_twentyday_inbound, forecast_twenty_oneday_inbound, 
    forecast_twenty_twoday_inbound, forecast_twenty_threeday_inbound, forecast_twenty_fourthday_inbound, 
    forecast_twenty_fiveday_inbound, forecast_twenty_sixday_inbound, forecast_twenty_seveneday_inbound, 
    forecast_twenty_eightday_inbound, forecast_twenty_nineday_inbound, forecast_thirtyday_inbound, 
    gmt_create, gmt_modified, details, relation
  </sql>
  <select id="selectByExample" parameterType="com.bailuntec.domain.example.DcAutoInboundExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from dc_auto_inbound
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    <if test="rows != null">
      <if test="offset != null">
        limit ${offset}, ${rows}
      </if>
      <if test="offset == null">
        limit ${rows}
      </if>
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from dc_auto_inbound
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_inbound
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.bailuntec.domain.example.DcAutoInboundExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_inbound
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.bailuntec.domain.entity.DcAutoInbound">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_inbound (id, bailun_sku, warehouse_code, 
      actual_inventory, forecast_today_inbound, 
      forecast_oneday_inbound, forecast_twoday_inbound, 
      forecast_threeday_inbound, forecast_fourthday_inbound, 
      forecast_fiveday_inbound, forecast_sixday_inbound, 
      forecast_sevenday_inbound, forecast_eightday_inbound, 
      forecast_nineday_inbound, forecast_tenday_inbound, 
      forecast_elevenday_inbound, forecast_twelveday_inbound, 
      forecast_thridteenday_inbound, forecast_fourteenday_inbound, 
      forecast_fifteenday_inbound, forecast_sixteenday_inbound, 
      forecast_seventeenday_inbound, forecast_eighteenday_inbound, 
      forecast_nineteenday_inbound, forecast_twentyday_inbound, 
      forecast_twenty_oneday_inbound, forecast_twenty_twoday_inbound, 
      forecast_twenty_threeday_inbound, forecast_twenty_fourthday_inbound, 
      forecast_twenty_fiveday_inbound, forecast_twenty_sixday_inbound, 
      forecast_twenty_seveneday_inbound, forecast_twenty_eightday_inbound, 
      forecast_twenty_nineday_inbound, forecast_thirtyday_inbound, 
      gmt_create, gmt_modified, details, 
      relation)
    values (#{id,jdbcType=INTEGER}, #{bailunSku,jdbcType=VARCHAR}, #{warehouseCode,jdbcType=VARCHAR}, 
      #{actualInventory,jdbcType=INTEGER}, #{forecastTodayInbound,jdbcType=INTEGER}, 
      #{forecastOnedayInbound,jdbcType=INTEGER}, #{forecastTwodayInbound,jdbcType=INTEGER}, 
      #{forecastThreedayInbound,jdbcType=INTEGER}, #{forecastFourthdayInbound,jdbcType=INTEGER}, 
      #{forecastFivedayInbound,jdbcType=INTEGER}, #{forecastSixdayInbound,jdbcType=INTEGER}, 
      #{forecastSevendayInbound,jdbcType=INTEGER}, #{forecastEightdayInbound,jdbcType=INTEGER}, 
      #{forecastNinedayInbound,jdbcType=INTEGER}, #{forecastTendayInbound,jdbcType=INTEGER}, 
      #{forecastElevendayInbound,jdbcType=INTEGER}, #{forecastTwelvedayInbound,jdbcType=INTEGER}, 
      #{forecastThridteendayInbound,jdbcType=INTEGER}, #{forecastFourteendayInbound,jdbcType=INTEGER}, 
      #{forecastFifteendayInbound,jdbcType=INTEGER}, #{forecastSixteendayInbound,jdbcType=INTEGER}, 
      #{forecastSeventeendayInbound,jdbcType=INTEGER}, #{forecastEighteendayInbound,jdbcType=INTEGER}, 
      #{forecastNineteendayInbound,jdbcType=INTEGER}, #{forecastTwentydayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyOnedayInbound,jdbcType=INTEGER}, #{forecastTwentyTwodayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyThreedayInbound,jdbcType=INTEGER}, #{forecastTwentyFourthdayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyFivedayInbound,jdbcType=INTEGER}, #{forecastTwentySixdayInbound,jdbcType=INTEGER}, 
      #{forecastTwentySevenedayInbound,jdbcType=INTEGER}, #{forecastTwentyEightdayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyNinedayInbound,jdbcType=INTEGER}, #{forecastThirtydayInbound,jdbcType=INTEGER}, 
      #{gmtCreate,jdbcType=TIMESTAMP}, #{gmtModified,jdbcType=TIMESTAMP}, #{details,jdbcType=VARCHAR},
      #{relation,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bailuntec.domain.entity.DcAutoInbound">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_inbound
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="bailunSku != null">
        bailun_sku,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="actualInventory != null">
        actual_inventory,
      </if>
      <if test="forecastTodayInbound != null">
        forecast_today_inbound,
      </if>
      <if test="forecastOnedayInbound != null">
        forecast_oneday_inbound,
      </if>
      <if test="forecastTwodayInbound != null">
        forecast_twoday_inbound,
      </if>
      <if test="forecastThreedayInbound != null">
        forecast_threeday_inbound,
      </if>
      <if test="forecastFourthdayInbound != null">
        forecast_fourthday_inbound,
      </if>
      <if test="forecastFivedayInbound != null">
        forecast_fiveday_inbound,
      </if>
      <if test="forecastSixdayInbound != null">
        forecast_sixday_inbound,
      </if>
      <if test="forecastSevendayInbound != null">
        forecast_sevenday_inbound,
      </if>
      <if test="forecastEightdayInbound != null">
        forecast_eightday_inbound,
      </if>
      <if test="forecastNinedayInbound != null">
        forecast_nineday_inbound,
      </if>
      <if test="forecastTendayInbound != null">
        forecast_tenday_inbound,
      </if>
      <if test="forecastElevendayInbound != null">
        forecast_elevenday_inbound,
      </if>
      <if test="forecastTwelvedayInbound != null">
        forecast_twelveday_inbound,
      </if>
      <if test="forecastThridteendayInbound != null">
        forecast_thridteenday_inbound,
      </if>
      <if test="forecastFourteendayInbound != null">
        forecast_fourteenday_inbound,
      </if>
      <if test="forecastFifteendayInbound != null">
        forecast_fifteenday_inbound,
      </if>
      <if test="forecastSixteendayInbound != null">
        forecast_sixteenday_inbound,
      </if>
      <if test="forecastSeventeendayInbound != null">
        forecast_seventeenday_inbound,
      </if>
      <if test="forecastEighteendayInbound != null">
        forecast_eighteenday_inbound,
      </if>
      <if test="forecastNineteendayInbound != null">
        forecast_nineteenday_inbound,
      </if>
      <if test="forecastTwentydayInbound != null">
        forecast_twentyday_inbound,
      </if>
      <if test="forecastTwentyOnedayInbound != null">
        forecast_twenty_oneday_inbound,
      </if>
      <if test="forecastTwentyTwodayInbound != null">
        forecast_twenty_twoday_inbound,
      </if>
      <if test="forecastTwentyThreedayInbound != null">
        forecast_twenty_threeday_inbound,
      </if>
      <if test="forecastTwentyFourthdayInbound != null">
        forecast_twenty_fourthday_inbound,
      </if>
      <if test="forecastTwentyFivedayInbound != null">
        forecast_twenty_fiveday_inbound,
      </if>
      <if test="forecastTwentySixdayInbound != null">
        forecast_twenty_sixday_inbound,
      </if>
      <if test="forecastTwentySevenedayInbound != null">
        forecast_twenty_seveneday_inbound,
      </if>
      <if test="forecastTwentyEightdayInbound != null">
        forecast_twenty_eightday_inbound,
      </if>
      <if test="forecastTwentyNinedayInbound != null">
        forecast_twenty_nineday_inbound,
      </if>
      <if test="forecastThirtydayInbound != null">
        forecast_thirtyday_inbound,
      </if>
      <if test="gmtCreate != null">
        gmt_create,
      </if>
      <if test="gmtModified != null">
        gmt_modified,
      </if>
      <if test="details != null">
        details,
      </if>
      <if test="relation != null">
        relation,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        #{actualInventory,jdbcType=INTEGER},
      </if>
      <if test="forecastTodayInbound != null">
        #{forecastTodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastOnedayInbound != null">
        #{forecastOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwodayInbound != null">
        #{forecastTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThreedayInbound != null">
        #{forecastThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourthdayInbound != null">
        #{forecastFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFivedayInbound != null">
        #{forecastFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixdayInbound != null">
        #{forecastSixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSevendayInbound != null">
        #{forecastSevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEightdayInbound != null">
        #{forecastEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNinedayInbound != null">
        #{forecastNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTendayInbound != null">
        #{forecastTendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastElevendayInbound != null">
        #{forecastElevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwelvedayInbound != null">
        #{forecastTwelvedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThridteendayInbound != null">
        #{forecastThridteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourteendayInbound != null">
        #{forecastFourteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFifteendayInbound != null">
        #{forecastFifteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixteendayInbound != null">
        #{forecastSixteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSeventeendayInbound != null">
        #{forecastSeventeendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEighteendayInbound != null">
        #{forecastEighteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNineteendayInbound != null">
        #{forecastNineteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentydayInbound != null">
        #{forecastTwentydayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyOnedayInbound != null">
        #{forecastTwentyOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyTwodayInbound != null">
        #{forecastTwentyTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyThreedayInbound != null">
        #{forecastTwentyThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFourthdayInbound != null">
        #{forecastTwentyFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFivedayInbound != null">
        #{forecastTwentyFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySixdayInbound != null">
        #{forecastTwentySixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySevenedayInbound != null">
        #{forecastTwentySevenedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyEightdayInbound != null">
        #{forecastTwentyEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyNinedayInbound != null">
        #{forecastTwentyNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThirtydayInbound != null">
        #{forecastThirtydayInbound,jdbcType=INTEGER},
      </if>
      <if test="gmtCreate != null">
        #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        #{details,jdbcType=VARCHAR},
      </if>
      <if test="relation != null">
        #{relation,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.bailuntec.domain.example.DcAutoInboundExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from dc_auto_inbound
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inbound
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.bailunSku != null">
        bailun_sku = #{record.bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="record.warehouseCode != null">
        warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="record.actualInventory != null">
        actual_inventory = #{record.actualInventory,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTodayInbound != null">
        forecast_today_inbound = #{record.forecastTodayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastOnedayInbound != null">
        forecast_oneday_inbound = #{record.forecastOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwodayInbound != null">
        forecast_twoday_inbound = #{record.forecastTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastThreedayInbound != null">
        forecast_threeday_inbound = #{record.forecastThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastFourthdayInbound != null">
        forecast_fourthday_inbound = #{record.forecastFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastFivedayInbound != null">
        forecast_fiveday_inbound = #{record.forecastFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastSixdayInbound != null">
        forecast_sixday_inbound = #{record.forecastSixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastSevendayInbound != null">
        forecast_sevenday_inbound = #{record.forecastSevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastEightdayInbound != null">
        forecast_eightday_inbound = #{record.forecastEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastNinedayInbound != null">
        forecast_nineday_inbound = #{record.forecastNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTendayInbound != null">
        forecast_tenday_inbound = #{record.forecastTendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastElevendayInbound != null">
        forecast_elevenday_inbound = #{record.forecastElevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwelvedayInbound != null">
        forecast_twelveday_inbound = #{record.forecastTwelvedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastThridteendayInbound != null">
        forecast_thridteenday_inbound = #{record.forecastThridteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastFourteendayInbound != null">
        forecast_fourteenday_inbound = #{record.forecastFourteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastFifteendayInbound != null">
        forecast_fifteenday_inbound = #{record.forecastFifteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastSixteendayInbound != null">
        forecast_sixteenday_inbound = #{record.forecastSixteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastSeventeendayInbound != null">
        forecast_seventeenday_inbound = #{record.forecastSeventeendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastEighteendayInbound != null">
        forecast_eighteenday_inbound = #{record.forecastEighteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastNineteendayInbound != null">
        forecast_nineteenday_inbound = #{record.forecastNineteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentydayInbound != null">
        forecast_twentyday_inbound = #{record.forecastTwentydayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentyOnedayInbound != null">
        forecast_twenty_oneday_inbound = #{record.forecastTwentyOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentyTwodayInbound != null">
        forecast_twenty_twoday_inbound = #{record.forecastTwentyTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentyThreedayInbound != null">
        forecast_twenty_threeday_inbound = #{record.forecastTwentyThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentyFourthdayInbound != null">
        forecast_twenty_fourthday_inbound = #{record.forecastTwentyFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentyFivedayInbound != null">
        forecast_twenty_fiveday_inbound = #{record.forecastTwentyFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentySixdayInbound != null">
        forecast_twenty_sixday_inbound = #{record.forecastTwentySixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentySevenedayInbound != null">
        forecast_twenty_seveneday_inbound = #{record.forecastTwentySevenedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentyEightdayInbound != null">
        forecast_twenty_eightday_inbound = #{record.forecastTwentyEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastTwentyNinedayInbound != null">
        forecast_twenty_nineday_inbound = #{record.forecastTwentyNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.forecastThirtydayInbound != null">
        forecast_thirtyday_inbound = #{record.forecastThirtydayInbound,jdbcType=INTEGER},
      </if>
      <if test="record.gmtCreate != null">
        gmt_create = #{record.gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.gmtModified != null">
        gmt_modified = #{record.gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="record.details != null">
        details = #{record.details,jdbcType=VARCHAR},
      </if>
      <if test="record.relation != null">
        relation = #{record.relation,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inbound
    set id = #{record.id,jdbcType=INTEGER},
      bailun_sku = #{record.bailunSku,jdbcType=VARCHAR},
      warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      actual_inventory = #{record.actualInventory,jdbcType=INTEGER},
      forecast_today_inbound = #{record.forecastTodayInbound,jdbcType=INTEGER},
      forecast_oneday_inbound = #{record.forecastOnedayInbound,jdbcType=INTEGER},
      forecast_twoday_inbound = #{record.forecastTwodayInbound,jdbcType=INTEGER},
      forecast_threeday_inbound = #{record.forecastThreedayInbound,jdbcType=INTEGER},
      forecast_fourthday_inbound = #{record.forecastFourthdayInbound,jdbcType=INTEGER},
      forecast_fiveday_inbound = #{record.forecastFivedayInbound,jdbcType=INTEGER},
      forecast_sixday_inbound = #{record.forecastSixdayInbound,jdbcType=INTEGER},
      forecast_sevenday_inbound = #{record.forecastSevendayInbound,jdbcType=INTEGER},
      forecast_eightday_inbound = #{record.forecastEightdayInbound,jdbcType=INTEGER},
      forecast_nineday_inbound = #{record.forecastNinedayInbound,jdbcType=INTEGER},
      forecast_tenday_inbound = #{record.forecastTendayInbound,jdbcType=INTEGER},
      forecast_elevenday_inbound = #{record.forecastElevendayInbound,jdbcType=INTEGER},
      forecast_twelveday_inbound = #{record.forecastTwelvedayInbound,jdbcType=INTEGER},
      forecast_thridteenday_inbound = #{record.forecastThridteendayInbound,jdbcType=INTEGER},
      forecast_fourteenday_inbound = #{record.forecastFourteendayInbound,jdbcType=INTEGER},
      forecast_fifteenday_inbound = #{record.forecastFifteendayInbound,jdbcType=INTEGER},
      forecast_sixteenday_inbound = #{record.forecastSixteendayInbound,jdbcType=INTEGER},
      forecast_seventeenday_inbound = #{record.forecastSeventeendayInbound,jdbcType=INTEGER},
      forecast_eighteenday_inbound = #{record.forecastEighteendayInbound,jdbcType=INTEGER},
      forecast_nineteenday_inbound = #{record.forecastNineteendayInbound,jdbcType=INTEGER},
      forecast_twentyday_inbound = #{record.forecastTwentydayInbound,jdbcType=INTEGER},
      forecast_twenty_oneday_inbound = #{record.forecastTwentyOnedayInbound,jdbcType=INTEGER},
      forecast_twenty_twoday_inbound = #{record.forecastTwentyTwodayInbound,jdbcType=INTEGER},
      forecast_twenty_threeday_inbound = #{record.forecastTwentyThreedayInbound,jdbcType=INTEGER},
      forecast_twenty_fourthday_inbound = #{record.forecastTwentyFourthdayInbound,jdbcType=INTEGER},
      forecast_twenty_fiveday_inbound = #{record.forecastTwentyFivedayInbound,jdbcType=INTEGER},
      forecast_twenty_sixday_inbound = #{record.forecastTwentySixdayInbound,jdbcType=INTEGER},
      forecast_twenty_seveneday_inbound = #{record.forecastTwentySevenedayInbound,jdbcType=INTEGER},
      forecast_twenty_eightday_inbound = #{record.forecastTwentyEightdayInbound,jdbcType=INTEGER},
      forecast_twenty_nineday_inbound = #{record.forecastTwentyNinedayInbound,jdbcType=INTEGER},
      forecast_thirtyday_inbound = #{record.forecastThirtydayInbound,jdbcType=INTEGER},
      gmt_create = #{record.gmtCreate,jdbcType=TIMESTAMP},
      gmt_modified = #{record.gmtModified,jdbcType=TIMESTAMP},
      details = #{record.details,jdbcType=VARCHAR},
      relation = #{record.relation,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.bailuntec.domain.entity.DcAutoInbound">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inbound
    <set>
      <if test="bailunSku != null">
        bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        actual_inventory = #{actualInventory,jdbcType=INTEGER},
      </if>
      <if test="forecastTodayInbound != null">
        forecast_today_inbound = #{forecastTodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastOnedayInbound != null">
        forecast_oneday_inbound = #{forecastOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwodayInbound != null">
        forecast_twoday_inbound = #{forecastTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThreedayInbound != null">
        forecast_threeday_inbound = #{forecastThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourthdayInbound != null">
        forecast_fourthday_inbound = #{forecastFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFivedayInbound != null">
        forecast_fiveday_inbound = #{forecastFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixdayInbound != null">
        forecast_sixday_inbound = #{forecastSixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSevendayInbound != null">
        forecast_sevenday_inbound = #{forecastSevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEightdayInbound != null">
        forecast_eightday_inbound = #{forecastEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNinedayInbound != null">
        forecast_nineday_inbound = #{forecastNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTendayInbound != null">
        forecast_tenday_inbound = #{forecastTendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastElevendayInbound != null">
        forecast_elevenday_inbound = #{forecastElevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwelvedayInbound != null">
        forecast_twelveday_inbound = #{forecastTwelvedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThridteendayInbound != null">
        forecast_thridteenday_inbound = #{forecastThridteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourteendayInbound != null">
        forecast_fourteenday_inbound = #{forecastFourteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFifteendayInbound != null">
        forecast_fifteenday_inbound = #{forecastFifteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixteendayInbound != null">
        forecast_sixteenday_inbound = #{forecastSixteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSeventeendayInbound != null">
        forecast_seventeenday_inbound = #{forecastSeventeendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEighteendayInbound != null">
        forecast_eighteenday_inbound = #{forecastEighteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNineteendayInbound != null">
        forecast_nineteenday_inbound = #{forecastNineteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentydayInbound != null">
        forecast_twentyday_inbound = #{forecastTwentydayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyOnedayInbound != null">
        forecast_twenty_oneday_inbound = #{forecastTwentyOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyTwodayInbound != null">
        forecast_twenty_twoday_inbound = #{forecastTwentyTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyThreedayInbound != null">
        forecast_twenty_threeday_inbound = #{forecastTwentyThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFourthdayInbound != null">
        forecast_twenty_fourthday_inbound = #{forecastTwentyFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFivedayInbound != null">
        forecast_twenty_fiveday_inbound = #{forecastTwentyFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySixdayInbound != null">
        forecast_twenty_sixday_inbound = #{forecastTwentySixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySevenedayInbound != null">
        forecast_twenty_seveneday_inbound = #{forecastTwentySevenedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyEightdayInbound != null">
        forecast_twenty_eightday_inbound = #{forecastTwentyEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyNinedayInbound != null">
        forecast_twenty_nineday_inbound = #{forecastTwentyNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThirtydayInbound != null">
        forecast_thirtyday_inbound = #{forecastThirtydayInbound,jdbcType=INTEGER},
      </if>
      <if test="gmtCreate != null">
        gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        details = #{details,jdbcType=VARCHAR},
      </if>
      <if test="relation != null">
        relation = #{relation,jdbcType=VARCHAR},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bailuntec.domain.entity.DcAutoInbound">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inbound
    set bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      actual_inventory = #{actualInventory,jdbcType=INTEGER},
      forecast_today_inbound = #{forecastTodayInbound,jdbcType=INTEGER},
      forecast_oneday_inbound = #{forecastOnedayInbound,jdbcType=INTEGER},
      forecast_twoday_inbound = #{forecastTwodayInbound,jdbcType=INTEGER},
      forecast_threeday_inbound = #{forecastThreedayInbound,jdbcType=INTEGER},
      forecast_fourthday_inbound = #{forecastFourthdayInbound,jdbcType=INTEGER},
      forecast_fiveday_inbound = #{forecastFivedayInbound,jdbcType=INTEGER},
      forecast_sixday_inbound = #{forecastSixdayInbound,jdbcType=INTEGER},
      forecast_sevenday_inbound = #{forecastSevendayInbound,jdbcType=INTEGER},
      forecast_eightday_inbound = #{forecastEightdayInbound,jdbcType=INTEGER},
      forecast_nineday_inbound = #{forecastNinedayInbound,jdbcType=INTEGER},
      forecast_tenday_inbound = #{forecastTendayInbound,jdbcType=INTEGER},
      forecast_elevenday_inbound = #{forecastElevendayInbound,jdbcType=INTEGER},
      forecast_twelveday_inbound = #{forecastTwelvedayInbound,jdbcType=INTEGER},
      forecast_thridteenday_inbound = #{forecastThridteendayInbound,jdbcType=INTEGER},
      forecast_fourteenday_inbound = #{forecastFourteendayInbound,jdbcType=INTEGER},
      forecast_fifteenday_inbound = #{forecastFifteendayInbound,jdbcType=INTEGER},
      forecast_sixteenday_inbound = #{forecastSixteendayInbound,jdbcType=INTEGER},
      forecast_seventeenday_inbound = #{forecastSeventeendayInbound,jdbcType=INTEGER},
      forecast_eighteenday_inbound = #{forecastEighteendayInbound,jdbcType=INTEGER},
      forecast_nineteenday_inbound = #{forecastNineteendayInbound,jdbcType=INTEGER},
      forecast_twentyday_inbound = #{forecastTwentydayInbound,jdbcType=INTEGER},
      forecast_twenty_oneday_inbound = #{forecastTwentyOnedayInbound,jdbcType=INTEGER},
      forecast_twenty_twoday_inbound = #{forecastTwentyTwodayInbound,jdbcType=INTEGER},
      forecast_twenty_threeday_inbound = #{forecastTwentyThreedayInbound,jdbcType=INTEGER},
      forecast_twenty_fourthday_inbound = #{forecastTwentyFourthdayInbound,jdbcType=INTEGER},
      forecast_twenty_fiveday_inbound = #{forecastTwentyFivedayInbound,jdbcType=INTEGER},
      forecast_twenty_sixday_inbound = #{forecastTwentySixdayInbound,jdbcType=INTEGER},
      forecast_twenty_seveneday_inbound = #{forecastTwentySevenedayInbound,jdbcType=INTEGER},
      forecast_twenty_eightday_inbound = #{forecastTwentyEightdayInbound,jdbcType=INTEGER},
      forecast_twenty_nineday_inbound = #{forecastTwentyNinedayInbound,jdbcType=INTEGER},
      forecast_thirtyday_inbound = #{forecastThirtydayInbound,jdbcType=INTEGER},
      gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      details = #{details,jdbcType=VARCHAR},
      relation = #{relation,jdbcType=VARCHAR}
    where id = #{id,jdbcType=INTEGER}
  </update>
  <insert id="upsertSelective" parameterType="com.bailuntec.domain.entity.DcAutoInbound">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_inbound
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="bailunSku != null">
        bailun_sku,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="actualInventory != null">
        actual_inventory,
      </if>
      <if test="forecastTodayInbound != null">
        forecast_today_inbound,
      </if>
      <if test="forecastOnedayInbound != null">
        forecast_oneday_inbound,
      </if>
      <if test="forecastTwodayInbound != null">
        forecast_twoday_inbound,
      </if>
      <if test="forecastThreedayInbound != null">
        forecast_threeday_inbound,
      </if>
      <if test="forecastFourthdayInbound != null">
        forecast_fourthday_inbound,
      </if>
      <if test="forecastFivedayInbound != null">
        forecast_fiveday_inbound,
      </if>
      <if test="forecastSixdayInbound != null">
        forecast_sixday_inbound,
      </if>
      <if test="forecastSevendayInbound != null">
        forecast_sevenday_inbound,
      </if>
      <if test="forecastEightdayInbound != null">
        forecast_eightday_inbound,
      </if>
      <if test="forecastNinedayInbound != null">
        forecast_nineday_inbound,
      </if>
      <if test="forecastTendayInbound != null">
        forecast_tenday_inbound,
      </if>
      <if test="forecastElevendayInbound != null">
        forecast_elevenday_inbound,
      </if>
      <if test="forecastTwelvedayInbound != null">
        forecast_twelveday_inbound,
      </if>
      <if test="forecastThridteendayInbound != null">
        forecast_thridteenday_inbound,
      </if>
      <if test="forecastFourteendayInbound != null">
        forecast_fourteenday_inbound,
      </if>
      <if test="forecastFifteendayInbound != null">
        forecast_fifteenday_inbound,
      </if>
      <if test="forecastSixteendayInbound != null">
        forecast_sixteenday_inbound,
      </if>
      <if test="forecastSeventeendayInbound != null">
        forecast_seventeenday_inbound,
      </if>
      <if test="forecastEighteendayInbound != null">
        forecast_eighteenday_inbound,
      </if>
      <if test="forecastNineteendayInbound != null">
        forecast_nineteenday_inbound,
      </if>
      <if test="forecastTwentydayInbound != null">
        forecast_twentyday_inbound,
      </if>
      <if test="forecastTwentyOnedayInbound != null">
        forecast_twenty_oneday_inbound,
      </if>
      <if test="forecastTwentyTwodayInbound != null">
        forecast_twenty_twoday_inbound,
      </if>
      <if test="forecastTwentyThreedayInbound != null">
        forecast_twenty_threeday_inbound,
      </if>
      <if test="forecastTwentyFourthdayInbound != null">
        forecast_twenty_fourthday_inbound,
      </if>
      <if test="forecastTwentyFivedayInbound != null">
        forecast_twenty_fiveday_inbound,
      </if>
      <if test="forecastTwentySixdayInbound != null">
        forecast_twenty_sixday_inbound,
      </if>
      <if test="forecastTwentySevenedayInbound != null">
        forecast_twenty_seveneday_inbound,
      </if>
      <if test="forecastTwentyEightdayInbound != null">
        forecast_twenty_eightday_inbound,
      </if>
      <if test="forecastTwentyNinedayInbound != null">
        forecast_twenty_nineday_inbound,
      </if>
      <if test="forecastThirtydayInbound != null">
        forecast_thirtyday_inbound,
      </if>
      <if test="gmtCreate != null">
        gmt_create,
      </if>
      <if test="gmtModified != null">
        gmt_modified,
      </if>
      <if test="details != null">
        details,
      </if>
      <if test="relation != null">
        relation,
      </if>
    </trim>
    values
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        #{actualInventory,jdbcType=INTEGER},
      </if>
      <if test="forecastTodayInbound != null">
        #{forecastTodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastOnedayInbound != null">
        #{forecastOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwodayInbound != null">
        #{forecastTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThreedayInbound != null">
        #{forecastThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourthdayInbound != null">
        #{forecastFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFivedayInbound != null">
        #{forecastFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixdayInbound != null">
        #{forecastSixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSevendayInbound != null">
        #{forecastSevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEightdayInbound != null">
        #{forecastEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNinedayInbound != null">
        #{forecastNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTendayInbound != null">
        #{forecastTendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastElevendayInbound != null">
        #{forecastElevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwelvedayInbound != null">
        #{forecastTwelvedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThridteendayInbound != null">
        #{forecastThridteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourteendayInbound != null">
        #{forecastFourteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFifteendayInbound != null">
        #{forecastFifteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixteendayInbound != null">
        #{forecastSixteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSeventeendayInbound != null">
        #{forecastSeventeendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEighteendayInbound != null">
        #{forecastEighteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNineteendayInbound != null">
        #{forecastNineteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentydayInbound != null">
        #{forecastTwentydayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyOnedayInbound != null">
        #{forecastTwentyOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyTwodayInbound != null">
        #{forecastTwentyTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyThreedayInbound != null">
        #{forecastTwentyThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFourthdayInbound != null">
        #{forecastTwentyFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFivedayInbound != null">
        #{forecastTwentyFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySixdayInbound != null">
        #{forecastTwentySixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySevenedayInbound != null">
        #{forecastTwentySevenedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyEightdayInbound != null">
        #{forecastTwentyEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyNinedayInbound != null">
        #{forecastTwentyNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThirtydayInbound != null">
        #{forecastThirtydayInbound,jdbcType=INTEGER},
      </if>
      <if test="gmtCreate != null">
        #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        #{details,jdbcType=VARCHAR},
      </if>
      <if test="relation != null">
        #{relation,jdbcType=VARCHAR},
      </if>
    </trim>
    on duplicate key update 
    <trim suffixOverrides=",">
      <if test="id != null">
        id = #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        actual_inventory = #{actualInventory,jdbcType=INTEGER},
      </if>
      <if test="forecastTodayInbound != null">
        forecast_today_inbound = #{forecastTodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastOnedayInbound != null">
        forecast_oneday_inbound = #{forecastOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwodayInbound != null">
        forecast_twoday_inbound = #{forecastTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThreedayInbound != null">
        forecast_threeday_inbound = #{forecastThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourthdayInbound != null">
        forecast_fourthday_inbound = #{forecastFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFivedayInbound != null">
        forecast_fiveday_inbound = #{forecastFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixdayInbound != null">
        forecast_sixday_inbound = #{forecastSixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSevendayInbound != null">
        forecast_sevenday_inbound = #{forecastSevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEightdayInbound != null">
        forecast_eightday_inbound = #{forecastEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNinedayInbound != null">
        forecast_nineday_inbound = #{forecastNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTendayInbound != null">
        forecast_tenday_inbound = #{forecastTendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastElevendayInbound != null">
        forecast_elevenday_inbound = #{forecastElevendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwelvedayInbound != null">
        forecast_twelveday_inbound = #{forecastTwelvedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThridteendayInbound != null">
        forecast_thridteenday_inbound = #{forecastThridteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFourteendayInbound != null">
        forecast_fourteenday_inbound = #{forecastFourteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastFifteendayInbound != null">
        forecast_fifteenday_inbound = #{forecastFifteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSixteendayInbound != null">
        forecast_sixteenday_inbound = #{forecastSixteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastSeventeendayInbound != null">
        forecast_seventeenday_inbound = #{forecastSeventeendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastEighteendayInbound != null">
        forecast_eighteenday_inbound = #{forecastEighteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastNineteendayInbound != null">
        forecast_nineteenday_inbound = #{forecastNineteendayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentydayInbound != null">
        forecast_twentyday_inbound = #{forecastTwentydayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyOnedayInbound != null">
        forecast_twenty_oneday_inbound = #{forecastTwentyOnedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyTwodayInbound != null">
        forecast_twenty_twoday_inbound = #{forecastTwentyTwodayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyThreedayInbound != null">
        forecast_twenty_threeday_inbound = #{forecastTwentyThreedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFourthdayInbound != null">
        forecast_twenty_fourthday_inbound = #{forecastTwentyFourthdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyFivedayInbound != null">
        forecast_twenty_fiveday_inbound = #{forecastTwentyFivedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySixdayInbound != null">
        forecast_twenty_sixday_inbound = #{forecastTwentySixdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentySevenedayInbound != null">
        forecast_twenty_seveneday_inbound = #{forecastTwentySevenedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyEightdayInbound != null">
        forecast_twenty_eightday_inbound = #{forecastTwentyEightdayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastTwentyNinedayInbound != null">
        forecast_twenty_nineday_inbound = #{forecastTwentyNinedayInbound,jdbcType=INTEGER},
      </if>
      <if test="forecastThirtydayInbound != null">
        forecast_thirtyday_inbound = #{forecastThirtydayInbound,jdbcType=INTEGER},
      </if>
      <if test="gmtCreate != null">
        gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        details = #{details,jdbcType=VARCHAR},
      </if>
      <if test="relation != null">
        relation = #{relation,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <insert id="upsert" parameterType="com.bailuntec.domain.entity.DcAutoInbound">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_inbound
    (id, bailun_sku, warehouse_code, actual_inventory, forecast_today_inbound, forecast_oneday_inbound, 
      forecast_twoday_inbound, forecast_threeday_inbound, forecast_fourthday_inbound, 
      forecast_fiveday_inbound, forecast_sixday_inbound, forecast_sevenday_inbound, forecast_eightday_inbound, 
      forecast_nineday_inbound, forecast_tenday_inbound, forecast_elevenday_inbound, 
      forecast_twelveday_inbound, forecast_thridteenday_inbound, forecast_fourteenday_inbound, 
      forecast_fifteenday_inbound, forecast_sixteenday_inbound, forecast_seventeenday_inbound, 
      forecast_eighteenday_inbound, forecast_nineteenday_inbound, forecast_twentyday_inbound, 
      forecast_twenty_oneday_inbound, forecast_twenty_twoday_inbound, forecast_twenty_threeday_inbound, 
      forecast_twenty_fourthday_inbound, forecast_twenty_fiveday_inbound, forecast_twenty_sixday_inbound, 
      forecast_twenty_seveneday_inbound, forecast_twenty_eightday_inbound, forecast_twenty_nineday_inbound, 
      forecast_thirtyday_inbound, gmt_create, gmt_modified, details, relation)
    values
    (#{id,jdbcType=INTEGER}, #{bailunSku,jdbcType=VARCHAR}, #{warehouseCode,jdbcType=VARCHAR}, 
      #{actualInventory,jdbcType=INTEGER}, #{forecastTodayInbound,jdbcType=INTEGER}, 
      #{forecastOnedayInbound,jdbcType=INTEGER}, #{forecastTwodayInbound,jdbcType=INTEGER}, 
      #{forecastThreedayInbound,jdbcType=INTEGER}, #{forecastFourthdayInbound,jdbcType=INTEGER}, 
      #{forecastFivedayInbound,jdbcType=INTEGER}, #{forecastSixdayInbound,jdbcType=INTEGER}, 
      #{forecastSevendayInbound,jdbcType=INTEGER}, #{forecastEightdayInbound,jdbcType=INTEGER}, 
      #{forecastNinedayInbound,jdbcType=INTEGER}, #{forecastTendayInbound,jdbcType=INTEGER}, 
      #{forecastElevendayInbound,jdbcType=INTEGER}, #{forecastTwelvedayInbound,jdbcType=INTEGER}, 
      #{forecastThridteendayInbound,jdbcType=INTEGER}, #{forecastFourteendayInbound,jdbcType=INTEGER}, 
      #{forecastFifteendayInbound,jdbcType=INTEGER}, #{forecastSixteendayInbound,jdbcType=INTEGER}, 
      #{forecastSeventeendayInbound,jdbcType=INTEGER}, #{forecastEighteendayInbound,jdbcType=INTEGER}, 
      #{forecastNineteendayInbound,jdbcType=INTEGER}, #{forecastTwentydayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyOnedayInbound,jdbcType=INTEGER}, #{forecastTwentyTwodayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyThreedayInbound,jdbcType=INTEGER}, #{forecastTwentyFourthdayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyFivedayInbound,jdbcType=INTEGER}, #{forecastTwentySixdayInbound,jdbcType=INTEGER}, 
      #{forecastTwentySevenedayInbound,jdbcType=INTEGER}, #{forecastTwentyEightdayInbound,jdbcType=INTEGER}, 
      #{forecastTwentyNinedayInbound,jdbcType=INTEGER}, #{forecastThirtydayInbound,jdbcType=INTEGER}, 
      #{gmtCreate,jdbcType=TIMESTAMP}, #{gmtModified,jdbcType=TIMESTAMP}, #{details,jdbcType=VARCHAR},
      #{relation,jdbcType=VARCHAR})
    on duplicate key update 
    id = #{id,jdbcType=INTEGER}, 
    bailun_sku = #{bailunSku,jdbcType=VARCHAR}, 
    warehouse_code = #{warehouseCode,jdbcType=VARCHAR}, 
    actual_inventory = #{actualInventory,jdbcType=INTEGER}, 
    forecast_today_inbound = #{forecastTodayInbound,jdbcType=INTEGER}, 
    forecast_oneday_inbound = #{forecastOnedayInbound,jdbcType=INTEGER}, 
    forecast_twoday_inbound = #{forecastTwodayInbound,jdbcType=INTEGER}, 
    forecast_threeday_inbound = #{forecastThreedayInbound,jdbcType=INTEGER}, 
    forecast_fourthday_inbound = #{forecastFourthdayInbound,jdbcType=INTEGER}, 
    forecast_fiveday_inbound = #{forecastFivedayInbound,jdbcType=INTEGER}, 
    forecast_sixday_inbound = #{forecastSixdayInbound,jdbcType=INTEGER}, 
    forecast_sevenday_inbound = #{forecastSevendayInbound,jdbcType=INTEGER}, 
    forecast_eightday_inbound = #{forecastEightdayInbound,jdbcType=INTEGER}, 
    forecast_nineday_inbound = #{forecastNinedayInbound,jdbcType=INTEGER}, 
    forecast_tenday_inbound = #{forecastTendayInbound,jdbcType=INTEGER}, 
    forecast_elevenday_inbound = #{forecastElevendayInbound,jdbcType=INTEGER}, 
    forecast_twelveday_inbound = #{forecastTwelvedayInbound,jdbcType=INTEGER}, 
    forecast_thridteenday_inbound = #{forecastThridteendayInbound,jdbcType=INTEGER}, 
    forecast_fourteenday_inbound = #{forecastFourteendayInbound,jdbcType=INTEGER}, 
    forecast_fifteenday_inbound = #{forecastFifteendayInbound,jdbcType=INTEGER}, 
    forecast_sixteenday_inbound = #{forecastSixteendayInbound,jdbcType=INTEGER}, 
    forecast_seventeenday_inbound = #{forecastSeventeendayInbound,jdbcType=INTEGER}, 
    forecast_eighteenday_inbound = #{forecastEighteendayInbound,jdbcType=INTEGER}, 
    forecast_nineteenday_inbound = #{forecastNineteendayInbound,jdbcType=INTEGER}, 
    forecast_twentyday_inbound = #{forecastTwentydayInbound,jdbcType=INTEGER}, 
    forecast_twenty_oneday_inbound = #{forecastTwentyOnedayInbound,jdbcType=INTEGER}, 
    forecast_twenty_twoday_inbound = #{forecastTwentyTwodayInbound,jdbcType=INTEGER}, 
    forecast_twenty_threeday_inbound = #{forecastTwentyThreedayInbound,jdbcType=INTEGER}, 
    forecast_twenty_fourthday_inbound = #{forecastTwentyFourthdayInbound,jdbcType=INTEGER}, 
    forecast_twenty_fiveday_inbound = #{forecastTwentyFivedayInbound,jdbcType=INTEGER}, 
    forecast_twenty_sixday_inbound = #{forecastTwentySixdayInbound,jdbcType=INTEGER}, 
    forecast_twenty_seveneday_inbound = #{forecastTwentySevenedayInbound,jdbcType=INTEGER}, 
    forecast_twenty_eightday_inbound = #{forecastTwentyEightdayInbound,jdbcType=INTEGER}, 
    forecast_twenty_nineday_inbound = #{forecastTwentyNinedayInbound,jdbcType=INTEGER}, 
    forecast_thirtyday_inbound = #{forecastThirtydayInbound,jdbcType=INTEGER}, 
    gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
    gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
    details = #{details,jdbcType=VARCHAR}, 
    relation = #{relation,jdbcType=VARCHAR}
  </insert>
  <select id="selectOneByExample" parameterType="com.bailuntec.domain.example.DcAutoInboundExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    select
    <include refid="Base_Column_List" />
    from dc_auto_inbound
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    limit 1
  </select>
</mapper>